return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "MoholeMine_Plus",
	'template_class', "MoholeMine",
	'resource_produced1', "Metals",
	'max_storage1', 5000000,
	'production_per_day1', 180000,
	'resource_produced2', "PreciousMetals",
	'max_storage2', 5000000,
	'production_per_day2', 100000,
	'resource_produced3', "WasteRock",
	'max_storage3', 5000000,
	'stockpile_class3', "WasteRockStockpile",
	'pin_rollover_hint', T{331500565576, --[[ModItemBuildingTemplate MoholeMine_Plus pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{132393240083, --[[ModItemBuildingTemplate MoholeMine_Plus pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 4000000,
	'construction_cost_Metals', 2000000,
	'construction_cost_Polymers', 300000,
	'construction_cost_Electronics', 300000,
	'construction_cost_MachineParts', 300000,
	'build_points', 200000,
	'dome_forbidden', true,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 10000,
	'maintenance_threshold_base', 1000000,
	'display_name', T{977454988860, --[[ModItemBuildingTemplate MoholeMine_Plus display_name]] "莫霍矿井_Plus"},
	'display_name_pl', T{915873594953, --[[ModItemBuildingTemplate MoholeMine_Plus display_name_pl]] "莫霍矿井_Plus"},
	'description', T{616485671447, --[[ModItemBuildingTemplate MoholeMine_Plus description]] "深入火星地壳挖掘矿物，莫霍矿井出产金属、稀有金属与废石，同时加热周围区域。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/mohole_mine.tga",
	'entity', "MoholeMine",
	'encyclopedia_image', "UI/Encyclopedia/MoholeMine.tga",
	'label1', "OutsideBuildings",
	'palettes', "MoholeMine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'penalty_heat', 182,
	'penalty_pct', 51,
	'electricity_consumption', 300000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "TheExcavator_Plus",
	'template_class', "TheExcavator",
	'pin_rollover_hint', T{279654395725, --[[ModItemBuildingTemplate TheExcavator_Plus pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{348003426409, --[[ModItemBuildingTemplate TheExcavator_Plus pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 600000,
	'construction_cost_Metals', 400000,
	'construction_cost_Polymers', 100000,
	'construction_cost_Electronics', 100000,
	'construction_cost_MachineParts', 150000,
	'build_points', 200000,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 6000,
	'maintenance_threshold_base', 1000000,
	'display_name', T{807227875692, --[[ModItemBuildingTemplate TheExcavator_Plus display_name]] "巨型挖土机_Plus"},
	'display_name_pl', T{360037650357, --[[ModItemBuildingTemplate TheExcavator_Plus display_name_pl]] "巨型挖土机_Plus"},
	'description', T{703984286860, --[[ModItemBuildingTemplate TheExcavator_Plus description]] "采用先进的提取技术，可以直接从火星土壤生产混凝土，而不需要沉积物。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/the_excavator.tga",
	'entity', "Excavator",
	'encyclopedia_image', "UI/Encyclopedia/TheExcavator.tga",
	'label1', "OutsideBuildings",
	'palettes', "MoholeMine",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 30,
	'electricity_consumption', 30000,
	'resource_produced1', "Concrete",
	'max_storage1', 5000000,
	'production_per_day1', 180000,
	'resource_produced2', "Metals",
	'max_storage2', 5000000,
	'production_per_day2', 30000,
}),
}
